
use basic_structure::skiplist::skip_lists;
mod basic_structure;
mod algorithm;
#[warn(unused_imports)]
use std::time::{Duration, Instant};
use rand::Rng;

fn main() {
    let mut data:skip_lists::Skiplists<i32, i32>=skip_lists::Skiplists::<i32,i32>::new(15);
    let mut rng: rand::prelude::ThreadRng = rand::thread_rng();
    let start: Instant = Instant::now();
    for i in 0..1000000
    {
        let keys=rng.gen_range(1..10002);
        data.insert(keys, i as i32);
    }
    let duration: Duration = start.elapsed();
    data.printskip(0);
    println!("time={:?}",duration);



    // let value=0;

    // data.insert(2, value);
    // data.insert(7, value);
    // data.insert(5, value);
    // data.insert(6, value);
    // data.insert(4, value);
    // data.insert(1, value);
    // data.insert(3, value);
    // data.insert(9, value);
    // data.insert(5, value);
    // data.insert(3, value);
    // data.printskip(0);
}
